Bug 2377 - [UPDATE REQUEST] rpm - backport some patches from OpenMandriva
: [UPDATE REQUEST] rpm - backport some patches from OpenMandriva
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-25 16:36 MSD by Denis Silakov
Modified: 2013-07-29 09:47 MSD (History)
4 users (show)

See Also:
RPM Package: rpm
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrey.bondrov: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Denis Silakov 2013-07-25 16:36:43 MSD
OpenMandriva has a couple of patches fro rpm that can be easily backported to Desktop Fresh and should not break anything.

The first one is a patch adding '--printspec' option to dump parsed spec file (i.e. with all macros expanded), the second one adds a second optional argument to %rename macro.

Both patches are for developers and should not affect ordinary users.
Comment 1 Denis Silakov 2013-07-25 16:40:53 MSD
Advisory:
Added two new features to rpm:
- %rename macro now accepts a second (optional) argument to rename a package with given version, not with EVRD;
- rpm now has '--printspec' option which allows to dump parsed spec file. Now you can take any spec file (let's take urpmi.spec for example) and call "rpm -q --printspec --specfile urpmi.spec" and see a parsed spec.

Build lists:
https://abf.rosalinux.ru/build_lists/1190535
https://abf.rosalinux.ru/build_lists/1190536
Comment 2 Vladimir Potapov 2013-07-26 14:06:46 MSD
The package route to extended testing
Comment 3 Postnikov Dmitry 2013-07-27 02:23:11 MSD
(In reply to comment #2)
> The package route to extended testing

All work fine.
Comment 4 Vladimir Potapov 2013-07-27 05:53:49 MSD
rpm-5.4.10-13-rosa2012.1
********************** Advisory ********************
Added two new features to rpm:
- %rename macro now accepts a second (optional) argument to rename a package with given version, not with EVRD;
- rpm now has '--printspec' option which allows to dump parsed spec file. Now you can take any spec file (let's take urpmi.spec for example) and call "rpm -q --printspec --specfile urpmi.spec" and see a parsed spec.
****************************************************
QA Verified